#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	netifaces
Summary:	Python library to retrieve information about network interfaces
Summary(pl.UTF-8):	Biblioteka Pythona do pobierania informacji o interfejsach sieciowych
Name:		python-%{module}
Version:	0.11.0
Release:	3
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/netifaces/
Source0:	https://files.pythonhosted.org/packages/source/n/netifaces/%{module}-%{version}.tar.gz
# Source0-md5:	3146dcb3297dd018ae5eb9a52b440419
URL:		https://pypi.org/project/netifaces/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a cross platform API for getting address
information from network interfaces.

%description -l pl.UTF-8
Ten pakiet zapewnia wieloplatformowe API do pobierania informacji o
adresach z interfejsów sieciowych.

%package -n python3-%{module}
Summary:	Python library to retrieve information about network interfaces
Summary(pl.UTF-8):	Biblioteka Pythona do pobierania informacji o interfejsach sieciowych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
This package provides a cross platform API for getting address
information from network interfaces.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet zapewnia wieloplatformowe API do pobierania informacji o
adresach z interfejsów sieciowych.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%{?with_tests:%{__python} setup.py test}
%endif

%if %{with python3}
%py3_build

%{?with_tests:%{__python3} setup.py test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{py_sitedir}/netifaces.so
%{py_sitedir}/netifaces-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%attr(755,root,root) %{py3_sitedir}/netifaces.cpython-*.so
%{py3_sitedir}/netifaces-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-netifaces.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> fad907d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> bd8e309
- python 3.13 rebuild

* Sun Mar 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 5c01a06
- python-devel required for building ext

* Sun Mar 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 99eedfd
- pl, cleanup

* Wed Feb 15 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 70fddb3
- Up to 0.11.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 8d0de15
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 222a476
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cb033fd
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3e12905
- rebuild with separate debuginfo build-ids

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> cc1a555
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3fca71e
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6352060
- release 2 (by relup.sh)

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> f6b4764
- up to 0.10.5
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6cc600a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5b4a84f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 826162f
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 5ac07c8
- x32 rebuild
- release 2 (by relup.sh)

* Mon Oct 29 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 93e083b
- New

